Kerbal Space Program - Bug #27277

Kerbal on ladder in EVA causes orbit to degrade around the Mun
02/13/2021 10:54 PM - douglas

Status: Confirmed Start date: 02/13/2021
Severity: Low % Done: 10%
Assignee:
Category: EVA
Target version:
Version: 1111 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

For whatever reason, once a kerbal goes on EVA and stays on a ladder, the orbit of the craft they are on begins to degrade even in a
vacuum. SAS is on by default for the kerbal, turning that off had no effect.

Attached is the save game. There are two craft in orbit around the Mun, The smaller, more regular, orbit, is the one with the kerbal.

Good thing | gave this craft WAY more fuel than it needed...

History

#1 - 02/13/2021 10:56 PM -

douglas

This is the stock Steam version of the game with DLC expansions. No mods are installed. Figured I'd try and play the stock game for a refreshing
change of pace, especially with the new construction mechanics.

#2 - 02/14/2021 12:23 PM -

Anth12

- File 27277 QS Tester.sfs added

Steam KSP 1.11.1 + DLCs

Its not degrading the orbit exactly. The Kerbal was contacting the solar panel above its head, which caused 'thrust'

Bug:

Kerbal is applying force against parts it is contacting when on a ladder causing the craft to change velocity. (tested on mk1 pod ladder and Pegasus |

Mobility Enhancer)

Video Proof:

https://youtu.be/rqHoKr9VggA

'27277 QS Tester.sfs' is from the video above for testing.

NOTE:

If SAS was off then the kerbal will cause the craft to spin because the force applied is off center

#3 - 02/15/2021 11:21 PM -

douglas

This looks like the same bug as #26908

#6 - 02/24/2021 12:06 AM -

David.Wineinger

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Files
Game 1_11 Feb2021.zip 363 KB 02/13/2021 douglas
27277 QS Tester.sfs 178 KB 02/14/2021 Anth12
